VST 3 SDK: UID Struct Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
UID Struct Reference

`#include <uid.h>`

## Public Types
using | TUID = Steinberg::TUID

## Public Member Functions
constexpr | UID () noexcept=default
| UID (uint32_t l1, uint32_t l2, uint32_t l3, uint32_t l4, bool comFormat=defaultComFormat) noexcept
| UID (const TUID &uid) noexcept
| UID (const UID &uid) noexcept
UID & | operator= (const UID &uid) noexcept
UID & | operator= (const TUID &uid) noexcept
constexpr const TUID & | data () const noexcept
constexpr size_t | size () const noexcept
std::string | toString (bool comFormat=defaultComFormat) const noexcept

## Static Public Member Functions
template<typename StringT >
static Optional< UID > | fromString (const StringT &str, bool comFormat=defaultComFormat) noexcept
static UID | fromTUID (const TUID _uid) noexcept

## Static Public Attributes
static constexpr bool | defaultComFormat = false

## Member Typedef Documentation

## ◆ TUID

using TUID = Steinberg::TUID

## Constructor & Destructor Documentation

## ◆ UID() [1/4]

constexpr UID | ( |  | ) |
| constexprdefaultnoexcept

## ◆ UID() [2/4]

UID | ( | uint32_t | l1,
|  | uint32_t | l2,
|  | uint32_t | l3,
|  | uint32_t | l4,
|  | bool | comFormat = `defaultComFormat`
| ) |  |
| inlinenoexcept

## ◆ UID() [3/4]

UID | ( | const TUID & | uid | ) |
| inlinenoexcept

## ◆ UID() [4/4]

UID | ( | const UID & | uid | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ operator=() [1/2]

UID & operator= | ( | const UID & | uid | ) |
| inlinenoexcept

## ◆ operator=() [2/2]

UID & operator= | ( | const TUID & | uid | ) |
| inlinenoexcept

## ◆ data()

constexpr auto data | ( |  | ) | const
| inlineconstexprnoexcept

## ◆ size()

constexpr size_t size | ( |  | ) | const
| inlineconstexprnoexcept

## ◆ toString()

std::string toString | ( | bool | comFormat = `defaultComFormat` | ) | const
| inlinenoexcept

## ◆ fromString()

Optional< UID > fromString | ( | const StringT & | str,
|  | bool | comFormat = `defaultComFormat`
| ) |  |
| inlinestaticnoexcept

## ◆ fromTUID()

UID fromTUID | ( | const TUID | _uid | ) |
| inlinestaticnoexcept

## Member Data Documentation

## ◆ defaultComFormat

constexpr bool defaultComFormat = false
| staticconstexpr

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.